imports:
    - { resource: config.yml }
    - { resource: parameters_dev.yml }
    - { resource: security.yml }

framework:
    router:
        resource: "%kernel.root_dir%/config/routing_dev.yml"
        strict_requirements: true
    profiler: { only_exceptions: false }
    session:
        storage_id: session.storage.mock_file

web_profiler:
    toolbar: true
    intercept_redirects: false

monolog:
    channels: ["access"]
    handlers:
        main:
            type:   stream
            path:   "%kernel.logs_dir%/%kernel.environment%.log"
            level:  debug
        console:
            type:   console
            bubble: false

# Overwrite database connections to prevent from using production environment in development
doctrine:
    dbal:
        default_connection: Backend
        connections:
            Backend:
                driver:   "pdo_sqlite"
                memory:   true
            ServiceProvider:
                driver:   "pdo_sqlite"
                memory:   true
            Webservice:
                driver:   "pdo_sqlite"
                memory:   true

parameters:
      sso_tools_user_identifier.client_url: https://idp-test.sso.com/service/